Class PrintServiceEndpointItemRequestBuilder
java.lang.Object
com.microsoft.kiota.BaseRequestBuilder
com.microsoft.graph.print.services.item.endpoints.item.PrintServiceEndpointItemRequestBuilder
@Generated("com.microsoft.kiota")
public class PrintServiceEndpointItemRequestBuilder
extends com.microsoft.kiota.BaseRequestBuilder
Provides operations to manage the endpoints property of the microsoft.graph.printService entity.
-
Nested Class Summary
Nested ClassesModifier and TypeClassDescriptionclassConfiguration for the request such as headers, query parameters, and middleware options.classRetrieve the properties and relationships of a print service endpoint.classConfiguration for the request such as headers, query parameters, and middleware options.classConfiguration for the request such as headers, query parameters, and middleware options. -
Field Summary
Fields inherited from class com.microsoft.kiota.BaseRequestBuilder
pathParameters, requestAdapter, urlTemplate -
Constructor Summary
ConstructorsConstructorDescriptionPrintServiceEndpointItemRequestBuilder(String rawUrl, com.microsoft.kiota.RequestAdapter requestAdapter) Instantiates a newPrintServiceEndpointItemRequestBuilderand sets the default values.PrintServiceEndpointItemRequestBuilder(HashMap<String, Object> pathParameters, com.microsoft.kiota.RequestAdapter requestAdapter) Instantiates a newPrintServiceEndpointItemRequestBuilderand sets the default values. -
Method Summary
Modifier and TypeMethodDescriptionvoiddelete()Delete navigation property endpoints for printvoiddelete(Consumer<PrintServiceEndpointItemRequestBuilder.DeleteRequestConfiguration> requestConfiguration) Delete navigation property endpoints for printget()Retrieve the properties and relationships of a print service endpoint.get(Consumer<PrintServiceEndpointItemRequestBuilder.GetRequestConfiguration> requestConfiguration) Retrieve the properties and relationships of a print service endpoint.patch(PrintServiceEndpoint body) Update the navigation property endpoints in printpatch(PrintServiceEndpoint body, Consumer<PrintServiceEndpointItemRequestBuilder.PatchRequestConfiguration> requestConfiguration) Update the navigation property endpoints in printcom.microsoft.kiota.RequestInformationDelete navigation property endpoints for printcom.microsoft.kiota.RequestInformationtoDeleteRequestInformation(Consumer<PrintServiceEndpointItemRequestBuilder.DeleteRequestConfiguration> requestConfiguration) Delete navigation property endpoints for printcom.microsoft.kiota.RequestInformationRetrieve the properties and relationships of a print service endpoint.com.microsoft.kiota.RequestInformationtoGetRequestInformation(Consumer<PrintServiceEndpointItemRequestBuilder.GetRequestConfiguration> requestConfiguration) Retrieve the properties and relationships of a print service endpoint.com.microsoft.kiota.RequestInformationUpdate the navigation property endpoints in printcom.microsoft.kiota.RequestInformationtoPatchRequestInformation(PrintServiceEndpoint body, Consumer<PrintServiceEndpointItemRequestBuilder.PatchRequestConfiguration> requestConfiguration) Update the navigation property endpoints in printReturns a request builder with the provided arbitrary URL.
-
Constructor Details
-
PrintServiceEndpointItemRequestBuilder
public PrintServiceEndpointItemRequestBuilder(@Nonnull HashMap<String, Object> pathParameters, @Nonnull com.microsoft.kiota.RequestAdapter requestAdapter) Instantiates a newPrintServiceEndpointItemRequestBuilderand sets the default values.- Parameters:
pathParameters- Path parameters for the requestrequestAdapter- The request adapter to use to execute the requests.
-
PrintServiceEndpointItemRequestBuilder
public PrintServiceEndpointItemRequestBuilder(@Nonnull String rawUrl, @Nonnull com.microsoft.kiota.RequestAdapter requestAdapter) Instantiates a newPrintServiceEndpointItemRequestBuilderand sets the default values.- Parameters:
rawUrl- The raw URL to use for the request builder.requestAdapter- The request adapter to use to execute the requests.
-
-
Method Details
-
delete
public void delete()Delete navigation property endpoints for print- Throws:
ODataError- When receiving a 4XX or 5XX status code
-
delete
public void delete(@Nullable Consumer<PrintServiceEndpointItemRequestBuilder.DeleteRequestConfiguration> requestConfiguration) Delete navigation property endpoints for print- Parameters:
requestConfiguration- Configuration for the request such as headers, query parameters, and middleware options.- Throws:
ODataError- When receiving a 4XX or 5XX status code
-
get
Retrieve the properties and relationships of a print service endpoint.- Returns:
- a
PrintServiceEndpoint - Throws:
ODataError- When receiving a 4XX or 5XX status code- See Also:
-
get
@Nullable public PrintServiceEndpoint get(@Nullable Consumer<PrintServiceEndpointItemRequestBuilder.GetRequestConfiguration> requestConfiguration) Retrieve the properties and relationships of a print service endpoint.- Parameters:
requestConfiguration- Configuration for the request such as headers, query parameters, and middleware options.- Returns:
- a
PrintServiceEndpoint - Throws:
ODataError- When receiving a 4XX or 5XX status code- See Also:
-
patch
Update the navigation property endpoints in print- Parameters:
body- The request body- Returns:
- a
PrintServiceEndpoint - Throws:
ODataError- When receiving a 4XX or 5XX status code
-
patch
@Nullable public PrintServiceEndpoint patch(@Nonnull PrintServiceEndpoint body, @Nullable Consumer<PrintServiceEndpointItemRequestBuilder.PatchRequestConfiguration> requestConfiguration) Update the navigation property endpoints in print- Parameters:
body- The request bodyrequestConfiguration- Configuration for the request such as headers, query parameters, and middleware options.- Returns:
- a
PrintServiceEndpoint - Throws:
ODataError- When receiving a 4XX or 5XX status code
-
toDeleteRequestInformation
@Nonnull public com.microsoft.kiota.RequestInformation toDeleteRequestInformation()Delete navigation property endpoints for print- Returns:
- a
RequestInformation
-
toDeleteRequestInformation
@Nonnull public com.microsoft.kiota.RequestInformation toDeleteRequestInformation(@Nullable Consumer<PrintServiceEndpointItemRequestBuilder.DeleteRequestConfiguration> requestConfiguration) Delete navigation property endpoints for print- Parameters:
requestConfiguration- Configuration for the request such as headers, query parameters, and middleware options.- Returns:
- a
RequestInformation
-
toGetRequestInformation
@Nonnull public com.microsoft.kiota.RequestInformation toGetRequestInformation()Retrieve the properties and relationships of a print service endpoint.- Returns:
- a
RequestInformation
-
toGetRequestInformation
@Nonnull public com.microsoft.kiota.RequestInformation toGetRequestInformation(@Nullable Consumer<PrintServiceEndpointItemRequestBuilder.GetRequestConfiguration> requestConfiguration) Retrieve the properties and relationships of a print service endpoint.- Parameters:
requestConfiguration- Configuration for the request such as headers, query parameters, and middleware options.- Returns:
- a
RequestInformation
-
toPatchRequestInformation
@Nonnull public com.microsoft.kiota.RequestInformation toPatchRequestInformation(@Nonnull PrintServiceEndpoint body) Update the navigation property endpoints in print- Parameters:
body- The request body- Returns:
- a
RequestInformation
-
toPatchRequestInformation
@Nonnull public com.microsoft.kiota.RequestInformation toPatchRequestInformation(@Nonnull PrintServiceEndpoint body, @Nullable Consumer<PrintServiceEndpointItemRequestBuilder.PatchRequestConfiguration> requestConfiguration) Update the navigation property endpoints in print- Parameters:
body- The request bodyrequestConfiguration- Configuration for the request such as headers, query parameters, and middleware options.- Returns:
- a
RequestInformation
-
withUrl
Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.- Parameters:
rawUrl- The raw URL to use for the request builder.- Returns:
- a
PrintServiceEndpointItemRequestBuilder
-